log4cpp: log4cpp::LayoutAppender Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::LayoutAppender Class Reference

LayoutAppender is a common superclass for all Appenders that require a Layout. More...

`#include <LayoutAppender.hh>`

Inheritance diagram for log4cpp::LayoutAppender:

[legend]
Collaboration diagram for log4cpp::LayoutAppender:

[legend]
List of all members.

## Public Types
typedef BasicLayout | DefaultLayoutType
## Public Member Functions
| LayoutAppender (const std::string &name)
virtual | ~LayoutAppender ()
virtual bool | requiresLayout () const
| Check if the appender requires a layout.
virtual void | setLayout (Layout *layout=NULL)
| Set the Layout for this appender.
## Protected Member Functions
Layout & | _getLayout ()
| Return the layout of the appender.

## Detailed Description

LayoutAppender is a common superclass for all Appenders that require a Layout.

## Member Typedef Documentation

typedef BasicLayout log4cpp::LayoutAppender::DefaultLayoutType

## Constructor & Destructor Documentation

log4cpp::LayoutAppender::LayoutAppender | ( | const std::string & | name | ) |

log4cpp::LayoutAppender::~LayoutAppender | ( |  | ) | `[virtual]`

## Member Function Documentation

bool log4cpp::LayoutAppender::requiresLayout | ( |  | ) | const`[virtual]`

Check if the appender requires a layout.

All LayoutAppenders do, therefore this method returns true for all subclasses.

Returns:
  true.

Implements log4cpp::AppenderSkeleton.

void log4cpp::LayoutAppender::setLayout | ( | Layout * | layout = `NULL` | ) | `[virtual]`

Set the Layout for this appender.

Parameters:

  | layout | The layout to use.

Implements log4cpp::AppenderSkeleton.

Layout & log4cpp::LayoutAppender::_getLayout | ( |  | ) | `[protected]`

Return the layout of the appender.

This method is the Layout accessor for subclasses of LayoutAppender.

Returns:
  the Layout.

The documentation for this class was generated from the following files:

- LayoutAppender.hh
- LayoutAppender.cpp